#include <stdio.h>
#include <stdlib.h>
long long int KOMSIJINAKUCA[1000000];
int main()
{
   long long int brKomsija,Kuca,i,j,swap;
    scanf("%lli",&brKomsija);
    scanf("%lli",&Kuca);
    if (brKomsija < 1)
        return 0;
    for (i=0; i<brKomsija; i++)
    {
        scanf("%lli",&KOMSIJINAKUCA[i]);
    }

    for (i = 0 ; i < brKomsija - 1; i++)
    {
        for (j = 0 ; j < brKomsija - i - 1; j++)
        {
            if (KOMSIJINAKUCA[j] > KOMSIJINAKUCA[j+1]) /* For decreasing order use < */
            {
                swap       = KOMSIJINAKUCA[j];
                KOMSIJINAKUCA[j]   = KOMSIJINAKUCA[j+1];
                KOMSIJINAKUCA[j+1] = swap;
            }
        }
    }
    if (
        abs(Kuca-KOMSIJINAKUCA[0]) <= abs(Kuca - KOMSIJINAKUCA[brKomsija-1])
    )
    {
        printf("%lli",abs(Kuca-KOMSIJINAKUCA[0])+KOMSIJINAKUCA[brKomsija-1]-KOMSIJINAKUCA[0]);

    }
    else
    {
        printf("%lli",abs(Kuca-KOMSIJINAKUCA[brKomsija-1])+KOMSIJINAKUCA[brKomsija-1]-KOMSIJINAKUCA[0]);
    }






    return 0;
}